Unable to resolve Android libraries.

I cannot resolve the following Android libraries from inside the Unity Editor. The resolver tries a lot of resolutions and attempts to end without success.

([rootProject] + (rootProject.subprojects as List)).each { project ->
    project.repositories {
        maven {
            url "https://maven.google.com"
        }
        maven {
            url "https://repo.maven.apache.org/maven2" // Assets/Push Notifications/Editor/Android/PushSDKDependencies.xml:8
        }
        maven {
            url "https://maven.google.com" // Assets/Push Notifications/Editor/Android/PushSDKDependencies.xml:8
        }
        maven {
            url "https://android-sdk.is.com/" // Assets/IronSource/Editor/IronSourceSDKDependencies.xml:9, Assets/IronSource/Editor/ISUnityAdsAdapterDependencies.xml:8
        }
        maven {
            url "https://maven.google.com/" // Assets/IronSource/Editor/IronSourceSDKDependencies.xml:17, Assets/IronSource/Editor/IronSourceSDKDependencies.xml:25, Assets/IronSource/Editor/ISUnityAdsAdapterDependencies.xml:15
        }
        mavenLocal()
        mavenCentral()
    }
}
dependencies {
    implementation 'com.google.android.gms:play-services-ads-identifier:18.0.1' // Assets/IronSource/Editor/IronSourceSDKDependencies.xml:17
    implementation 'com.google.android.gms:play-services-basement:18.1.0' // Assets/IronSource/Editor/IronSourceSDKDependencies.xml:25
    implementation 'com.google.firebase:firebase-messaging-ktx:22.0.0' // Assets/Push Notifications/Editor/Android/PushSDKDependencies.xml:9
    implementation 'com.ironsource.adapters:unityadsadapter:4.3.34' // Assets/IronSource/Editor/ISUnityAdsAdapterDependencies.xml:8
    implementation 'com.ironsource.sdk:mediationsdk:7.7.0' // Assets/IronSource/Editor/IronSourceSDKDependencies.xml:9
    implementation 'com.unity3d.ads:unity-ads:4.9.2' // Assets/IronSource/Editor/ISUnityAdsAdapterDependencies.xml:15
}
android {
  packagingOptions {
      exclude ('/lib/armeabi/*' + '*')
      exclude ('/lib/mips/*' + '*')
      exclude ('/lib/mips64/*' + '*')
      exclude ('/lib/x86/*' + '*')
      exclude ('/lib/x86_64/*' + '*')
  }

Unity 2023.3.0a18
Android Resolver v1.2.178
Min API Level 23
Target API Level 33

Could any of you guys build for Android using all of theses dependencies?